package test;

import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CourseTest {
    static Department department;
    static Student student,s2;
    static Course course;
    static Professor professor;
    static ArrayList<Student>students;
    @BeforeAll
    public static void creatStudent()
    {
        students=new ArrayList<>();
        department=new Department("abc");
        professor=new Professor(department,"kz");
        course=new Course("123","math",department,professor,3);
        student=new Student("ali","1234","abc",department);
        s2=new Student("mohammad","1235","b",new Department("abd"));
        course.enrollStudent(s2);
        course.enrollStudent(student);
        for(int i=0;i<course.getStudents().size();i++)
            students.add(course.getStudents().get(i));

    }
    @Test
    public void Test(){
        assertEquals("math",course.getName());
        assertEquals("123",course.getID());
        assertEquals(department,course.getDepartment());
        assertEquals(professor,course.getProfessor());
        assertEquals(3,course.getCredit());
        assertEquals(students,course.getStudents());
    }
}
